import request from '@/utils/request'

// 查询服务类型列表
export function listType(query) {
  return request({
    url: '/crops/type/list',
    method: 'get',
    params: query
  })
}

// 查询服务类型详细
export function getType(id) {
  return request({
    url: '/crops/type/' + id,
    method: 'get'
  })
}

// 新增服务类型
export function addType(data) {
  return request({
    url: '/crops/type',
    method: 'post',
    data: data
  })
}

// 修改服务类型
export function updateType(data) {
  return request({
    url: '/crops/type',
    method: 'put',
    data: data
  })
}

// 删除服务类型
export function delType(id) {
  return request({
    url: '/crops/type/' + id,
    method: 'delete'
  })
}
